package com.yifu.cloud.plus.v1.yifu.insurances.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yifu.cloud.plus.v1.yifu.common.core.constant.ExcelAttribute;
import com.yifu.cloud.plus.v1.yifu.common.core.vo.RowIndex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 含风险项目不购买申请明细表
 *
 * @author huych
 * @date 2025-01-10 11:23:21
 */
@Data
public class TInsuranceUnpurchasePersonVo extends RowIndex implements Serializable {

	/**
	 * id
	 */
	@TableId(type = IdType.ASSIGN_ID)
	@NotBlank(message = "id 不能为空")
	@Length(max = 36, message = "id 不能超过36 个字符")
	@ExcelAttribute(name = "id", isNotEmpty = true, errorInfo = "id 不能为空", maxLength = 36)
	@Schema(description = "id")
	@ExcelProperty("id")
	private String id;
	/**
	 * 父级id
	 */
	@Length(max = 36, message = "父级id 不能超过36 个字符")
	@ExcelAttribute(name = "父级id", maxLength = 36)
	@Schema(description = "父级id")
	@ExcelProperty("父级id")
	private String parnetId;
	/**
	 * 姓名
	 */
	@Length(max = 32, message = "姓名 不能超过32 个字符")
	@ExcelAttribute(name = "姓名", maxLength = 32)
	@Schema(description = "姓名")
	@ExcelProperty("姓名")
	private String empName;
	/**
	 * 身份证号
	 */
	@Length(max = 32, message = "身份证号 不能超过32 个字符")
	@ExcelAttribute(name = "身份证号", maxLength = 32)
	@Schema(description = "身份证号")
	@ExcelProperty("身份证号")
	private String empIdcardNo;
	/**
	 * 就职岗位
	 */
	@Length(max = 50, message = "就职岗位 不能超过50 个字符")
	@ExcelAttribute(name = "就职岗位", maxLength = 50)
	@Schema(description = "就职岗位")
	@ExcelProperty("就职岗位")
	private String post;
	/**
	 * 明细申请编号
	 */
	@Length(max = 20, message = "明细申请编号 不能超过20 个字符")
	@ExcelAttribute(name = "明细申请编号", maxLength = 20)
	@Schema(description = "明细申请编号")
	@ExcelProperty("明细申请编号")
	private String applyNoDetail;
	/**
	 * 项目ID
	 */
	@Length(max = 32, message = "项目ID 不能超过32 个字符")
	@ExcelAttribute(name = "项目ID", maxLength = 32)
	@Schema(description = "项目ID")
	@ExcelProperty("项目ID")
	private String deptId;
	/**
	 * 项目编码
	 */
	@Length(max = 30, message = "项目编码 不能超过30 个字符")
	@ExcelAttribute(name = "项目编码", maxLength = 30)
	@Schema(description = "项目编码")
	@ExcelProperty("项目编码")
	private String deptNo;
	/**
	 * 项目名称
	 */
	@Length(max = 50, message = "项目名称 不能超过50 个字符")
	@ExcelAttribute(name = "项目名称", maxLength = 50)
	@Schema(description = "项目名称")
	@ExcelProperty("项目名称")
	private String deptName;
	/**
	 * 申请人所在部门
	 */
	@Length(max = 36, message = "申请人所在部门 不能超过36 个字符")
	@ExcelAttribute(name = "申请人所在部门", maxLength = 36)
	@Schema(description = "申请人所在部门")
	@ExcelProperty("申请人所在部门")
	private String createUserDeptId;
	/**
	 * 申请人所在部门名称
	 */
	@Length(max = 50, message = "申请人所在部门名称 不能超过50 个字符")
	@ExcelAttribute(name = "申请人所在部门名称", maxLength = 50)
	@Schema(description = "申请人所在部门名称")
	@ExcelProperty("申请人所在部门名称")
	private String createUserDeptName;
	/**
	 * 不购买原因 1 已购买社保 2 人员已离职
	 */
	@Length(max = 1, message = "不购买原因 1 已购买社保 2 人员已离职 不能超过1 个字符")
	@ExcelAttribute(name = "不购买原因 1 已购买社保 2 人员已离职", maxLength = 1)
	@Schema(description = "不购买原因 1 已购买社保 2 人员已离职")
	@ExcelProperty("不购买原因 1 已购买社保 2 人员已离职")
	private String reasonType;
	/**
	 * 原因说明
	 */
	@Length(max = 50, message = "原因说明 不能超过50 个字符")
	@ExcelAttribute(name = "原因说明", maxLength = 50)
	@Schema(description = "原因说明")
	@ExcelProperty("原因说明")
	private String reasonInfo;
	/**
	 * 主表申请编号
	 */
	@Length(max = 20, message = "主表申请编号 不能超过20 个字符")
	@ExcelAttribute(name = "主表申请编号", maxLength = 20)
	@Schema(description = "主表申请编号")
	@ExcelProperty("主表申请编号")
	private String applyNo;
	/**
	 * 社保是否在保 0 是 1 否
	 */
	@Length(max = 1, message = "社保是否在保 0 是 1 否 不能超过1 个字符")
	@ExcelAttribute(name = "社保是否在保 0 是 1 否", maxLength = 1)
	@Schema(description = "社保是否在保 0 是 1 否")
	@ExcelProperty("社保是否在保 0 是 1 否")
	private String socialStatus;
	/**
	 * 发薪次数
	 */
	@ExcelAttribute(name = "发薪次数")
	@Schema(description = "发薪次数")
	@ExcelProperty("发薪次数")
	private Integer salaryNum;

}
